Đến nội dung


Hình ảnh

nhở giúp về DXF trong ACAD


  • Please log in to reply
2 replies to this topic

#1 xuanhuong1402

xuanhuong1402

    biết pan

  • Members
  • Pip
  • 9 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 05 May 2014 - 08:00 PM

anh chị ai biết về mấy cái code table,polyline của DXF trong ACAD giúp em vs ah

1.ELIPSE

 

 

0

SECTION
2
HEADER
9
$ACADVER
1
AC1009
0
ENDSEC
0
SECTION
2
ENTITIES
0
ELLIPSE
8
Huong
10
536
20
431
11
456
21
765
40
0.4
41
0.5
42
1.6
62
3
0
ENDSEC
0
EOF

 

2.POLYLINE

 

 

0
SECTION
2
HEADER
9
$ACADVER
1
AC1009
0
ENDSEC
0
SECTION
2
ENTITIES
0
POLYLINE
8
Huong
10
536
20
431
38
1
39
2
40
2
41
3
62
3
70
1
0
5
0
ENDSEC
0
EOF

 

 

3.RAY

 

 

 

0
SECTION
2
HEADER
9
$ACADVER
1
AC1009
0
ENDSEC
0
SECTION
2
ENTITIES
0
RAY
8
Huong
10
536
20
431
11
276
21
765
62
3
0
ENDSEC
0
EOF

 

 

 

4.TABLE

 

 

 

0
SECTION
2
HEADER
9
$ACADVER
1
AC1009
0
ENDSEC
0
SECTION
2
ENTITIES
0
TABLE
8
Huong
10
536
20
431
11
276
21
765
62
3
90
6
91
4
92
5
0
ENDSEC
0
EOF

0
SECTION
2
HEADER
9
$ACADVER
1
AC1009
0
ENDSEC
0
SECTION
2
ENTITIES
0
ELLIPSE
8
Huong
10
536
20
431
11
456
21
765
40
0.4
41
0.5
42
1.6
62
3
0
ENDSEC
0

 

EOF

 

0
SECTION
2
HEADER
9
$ACADVER
1
AC1009
0
ENDSEC
0
SECTION
2
ENTITIES
0
ELLIPSE
8
Huong
10
536
20
431
11
456
21
765
40
0.4
41
0.5
42
1.6
62
3
0
ENDSEC
0
 
0
SECTION
2
HEADER
9
$ACADVER
1
AC1009
0
ENDSEC
0
SECTION
2
ENTITIES
0
ELLIPSE
8
Huong
10
536
20
431
11
456
21
765
40
0.4
41
0.5
42
1.6
62
3
0
ENDSEC
0
 
0
SECTION
2
HEADER
9
$ACADVER
1
AC1009
0
ENDSEC
0
SECTION
2
ENTITIES
0
ELLIPSE
8
Huong
10
536
20
431
11
456
21
765
40
0.4
41
0.5
42
1.6
62
3
0
ENDSEC
0

  • 0

#2 Tot77

Tot77

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 990 Bài viết
Điểm đánh giá: 498 (tốt)

Đã gửi 09 May 2014 - 09:39 PM

Bạn muốn biết về cái gì? ý nghĩa của các code hay cái gì khác?

Dãy dxf bạn đưa lên dường như từ version cad rất xưa, chắc R12,13 gì đó, bây giờ chẳng còn cad đời đó để thử.


  • 0

#3 Tot77

Tot77

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 990 Bài viết
Điểm đánh giá: 498 (tốt)

Đã gửi 11 May 2014 - 09:32 AM

Phần ellipse thiếu (100 . "AcDbEntity")  (100 . "AcDbEllipse")

Phần ray thiếu  (100 . "AcDbEntity") (100 . "AcDbRay")

Phần polyline thiếu (100 . "AcDbEntity") (100 . "AcDb2dPolyline") (66 . 1) và các (0 . "VERTEX") , cuối cùng (0 . "SEQEND")

 

Riêng phần table thì tôi không hiểu cái (0 . "TABLE") là của đời cad nào chứ bây giờ chỉ có 

(0 . "ACAD_TABLE") thôi.

 

Bạn làm gì mà đi ngược từ dxf qua dwg vậy?

 

(entmake '((0 . "ELLIPSE")
  (100 . "AcDbEntity") (100 . "AcDbEllipse");;
  (10 536 431 0.0) (11 456 765 0.0) (8 . "huong") (62 . 3)
  (40 . 0.4) (41 . 0.5) (42 . 1.6)))

  • -1